Page MenuHomePhabricator

Re-enabling local file uploading system on or.wiki
Closed, InvalidPublic

Related Objects

Event Timeline

Sipun created this task.Sep 1 2015, 5:39 PM
Sipun raised the priority of this task from to High.
Sipun updated the task description. (Show Details)
Sipun added a subscriber: Sipun.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptSep 1 2015, 5:39 PM
Sipun updated the task description. (Show Details)Sep 1 2015, 5:39 PM
Sipun set Security to None.
demon lowered the priority of this task from High to Normal.Sep 1 2015, 5:41 PM
demon added a project: Wikimedia-Site-requests.
demon added a subscriber: demon.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 1 2015, 5:41 PM

@psubhashish1: Hi. I can't read this language, please could you confirm that there is consensus for this?

Hi @Krenair, yes. There is a consensus and it has been unanimously agreed that there is a need to re-enabling local file uploading on ORWP.

I am from the above community and I can confirm that there is a consensus and all members are in fever of activating the feature.

https://meta.wikimedia.org/wiki/Non-free_content knows no local EDP, hence you are not allowed to upload non-free files anyway.

Sipun added a comment.Sep 3 2015, 8:31 PM

https://meta.wikimedia.org/wiki/Non-free_content knows no local EDP, hence you are not allowed to upload non-free files anyway.

Well we need to discuss few other things in our community.

Sipun added a comment.EditedSep 4 2015, 8:04 AM

@Nemo_bis I have few questions:

  • Is it possible to re-enable this feature for few other user, but not for all ?
  • Is it possible to make a form/section where it will ask you about the image first i.e. whether it is free or not. Then if free it will lead you to commons otherwise it will ask you submit the image and it will uploaded by admins/uploader ?
  • Is there any special user right by which users, who are not admin, can also able to upload non-free images ?
Nemo_bis added a comment.EditedSep 4 2015, 2:45 PM

Yes, yes (sort of), yes. In particular, Special:Upload is already available for administrators.

But I repeat, you are not allowed to upload non-free files anyway.

Nemo_bis renamed this task from Re-enabling local file uploading system to Re-enabling local file uploading system on or.wiki.Sep 4 2015, 2:45 PM

@Nemo_bis I have few questions:

  • Is it possible to re-enable this feature for few other user, but not for all ?
  • Is it possible to make a form/section where it will ask you about the image first i.e. whether it is free or not. Then if free it will lead you to commons otherwise it will ask you submit the image and it will uploaded by admins/uploader ?
  • Is there any special user right by which users, who are not admin, can also able to upload non-free images ?

learn T85621, you can request adding "Uploader" user group to limit.

revi added a subscriber: revi.Sep 6 2015, 7:46 AM
Sipun added a comment.Sep 14 2015, 9:02 AM

@Nemo_bis I have few questions:

  • Is it possible to re-enable this feature for few other user, but not for all ?
  • Is it possible to make a form/section where it will ask you about the image first i.e. whether it is free or not. Then if free it will lead you to commons otherwise it will ask you submit the image and it will uploaded by admins/uploader ?
  • Is there any special user right by which users, who are not admin, can also able to upload non-free images ?

learn T85621, you can request adding "Uploader" user group to limit.

Well, then create a user group right for Odia Wikipedia. And let our sysop choose who else will be eligible to get that right. It is possible for you ?

Sipun added a comment.Sep 14 2015, 9:07 AM

@Nemo_bis who created this list - https://meta.wikimedia.org/wiki/Non-free_content. And what if I/our sysops will edit that page ?

@Nemo_bis who created this list - https://meta.wikimedia.org/wiki/Non-free_content. And what if I/our sysops will edit that page ?

Anthere

Before this is allowed, you need a non-free content policy at the very least (per https://wikimediafoundation.org/wiki/Resolution:Licensing_policy). Until this has been done, this is unlikely to be implimented.

https://meta.wikimedia.org/wiki/Non-free_content knows no local EDP, hence you are not allowed to upload non-free files anyway.

Now modified. https://meta.wikimedia.org/wiki/Non-free_content#Wikipedia

Can you provide a link to your local EDP then - you need a policy approved through a community discussion first.

Sipun added a comment.EditedSep 21 2015, 7:08 PM

I have already provided it in the discussion. here again. In that discussion they agreed for allowing non-free content in Odia wikipedia and local file uploading system. Recently I have informed them again about the changes in Meta list. No objection found.

No - you need to have a local policy that sets out when and where the files can be used (an EDP) before non-free files are allowed - having it listed on Meta is not enough. Until a link to such a policy is implemented, this request is unlikely to move forward.

Sipun added a comment.Sep 21 2015, 7:30 PM

No - you need to have a local policy that sets out when and where the files can be used (an EDP) before non-free files are allowed - having it listed on Meta is not enough. Until a link to such a policy is implemented, this request is unlikely to move forward.

can you provide some example ?

Sipun added a comment.EditedSep 21 2015, 7:32 PM

No - you need to have a local policy that sets out when and where the files can be used (an EDP) before non-free files are allowed - having it listed on Meta is not enough. Until a link to such a policy is implemented, this request is unlikely to move forward.

Is it enough - MW:Licenses ?

or you are asking about another discussion in VP ? Please provide some example.

Steinsplitter added a comment.EditedSep 21 2015, 8:20 PM

Which are the countries where the project content is predominantly accessible? The jurisdiction might be relevant as well (see the resolution to which Mdann52 has refered)

demon removed a subscriber: demon.Sep 21 2015, 8:23 PM

No - you need to have a local policy that sets out when and where the files can be used (an EDP) before non-free files are allowed - having it listed on Meta is not enough. Until a link to such a policy is implemented, this request is unlikely to move forward.

Is it enough - MW:Licenses ?
or you are asking about another discussion in VP ? Please provide some example.

I'm asking about a policy that sets out when and where non-free files are allowed - such as https://en.wikipedia.org/wiki/Wikipedia:Non-free_content_criteria

Which are the countries where the project content is predominantly accessible? The jurisdiction might be relevant as well (see the resolution to which Mdann52 has refered)

According to the enwiki article, it is mainly India, not sure if this has any implications

In any case, fair use in India appears to be very restricted, so this might have to be closed as declined per https://wikimediafoundation.org/wiki/Resolution:Licensing_policy

Sipun added a comment.Sep 22 2015, 3:47 AM

let me discuss about this in my community.

Sipun added a comment.EditedSep 22 2015, 3:57 AM

Hey it is allowed for Bengali and Hindi Wikipedia. Both languages are from India. Then why not for us ?

@Sipun what he's trying to say that we should have a policy which states the conditions of fair use like which type of files can be used, in which condition(resolution) and how. Am I right @Mdann52?

Hey @Mdann52, can you point to the restrictions with fair use in India. Being a citizen, I am not aware of any. @Sipun also has mentioned how Bengali and Hindi Wikipedia allow fair use. Both are official Indian languages.

Steinsplitter changed the task status from Open to Stalled.EditedSep 22 2015, 7:41 AM

Hey it is allowed for Bengali and Hindi Wikipedia. Both languages are from India. Then why not for us ?

Tis does not change the issue that indian copyright law presumably does not have an equivalent to fair use (Sec. 52(1)(a)(ii) of the Indian Copyright Act - 1957).

[CC: Shanmugam / he might know moor about this :-)]

@Sipun what he's trying to say that we should have a policy which states the conditions of fair use like which type of files can be used, in which condition(resolution) and how. Am I right @Mdann52?

Yes, exactly right

Hey @Mdann52, can you point to the restrictions with fair use in India. Being a citizen, I am not aware of any. @Sipun also has mentioned how Bengali and Hindi Wikipedia allow fair use. Both are official Indian languages.

From what I've seen, fair use in India is far too restrictive for us to use - I'm going to ping @WMF-Legal here to get their opinion on this however.

Hey it is allowed for Bengali and Hindi Wikipedia. Both languages are from India. Then why not for us ?

Tis does not change the issue that indian copyright law presumably does not have an equivalent to fair use (Sec. 52(1)(a)(ii) of the Indian Copyright Act - 1957).
[CC: Shanmugam / he might know moor about this :-)]

As far as I can remember we are following US fair use law (similar to enwiiki ) in tawiki. tawiki mainly accessed in India and srilanka, I don't think any of these countries have laws equivalent to fair use, so we are using US fairuse law, the same goes for Bengali and Hindi wiki I guess. Wmf legal or a lawyer can comment whether this is acceptable or not :).

MKar added a subscriber: MKar.Sep 23 2015, 12:54 PM
TTO added a subscriber: TTO.Oct 2 2015, 1:37 AM

WMF-Legal: any comment?

No need for legal feedback, https://or.wikipedia.org/wiki/MediaWiki:Licenses is not ready yet: it contains non-existing copyright templates. Please only include the templates which were actually created on the local wiki after an assessment that they are needed and compliant with local EDP.

(I think it would be clearer to close this request as invalid until all the on-wiki requirements are in place; it's easy to reopen.)

TTO added a comment.Oct 2 2015, 8:44 AM

In any case, fair use in India appears to be very restricted, so this might have to be closed as declined per https://wikimediafoundation.org/wiki/Resolution:Licensing_policy

@Nemo_bis: The above comment is why we were seeking Legal's input. Do you dispute the relevance of that concern?

CRoslof added a subscriber: CRoslof.Oct 2 2015, 6:58 PM

The Wikimedia Foundation is protected by U.S. law, including fair use. Individual users outside the U.S. do not necessarily have the same protections. So, though it may be legal for WMF to host non-free content on a project, it may not be legal for that project's users to upload or reuse the non-free content.

It is up to the community for each project to set that project's policies, including on the use of non-free content. When setting those policies, we suggest that communities take into consideration the project's users: What law(s) are the bulk of them subject to? Would they be violating those laws by uploading or reusing non-free content on the project?

We are not experts in Indian law and cannot speak to whether Indian copyright law would permit users in India to upload non-free content to Odia Wikipedia or reuse non-free content found on Odia Wikipedia. It is up to the Odia Wikipedia community to carefully analyze and answer that question if it is going to start allowing non-free content. Nevertheless, if the community decides they want a non-free content policy, it would be consistent with our licensing policy.

– WMF-Legal

Thank you @CRoslof for the response. So we have to discuss with our community as well as some people related with the legal system of our country. Then we will create a policy and that will be implemented in our local Wikipedia. We are creating a new discussion about the policy and todo stuff.

Upload facility is already available for sysops, so I propose to enable "Uploader" user right and assign to users who need it, instead of enabling this for all users. Also shared my opinion at Odia Wikipedia VP.

Nemo_bis closed this task as Invalid.Oct 22 2015, 8:10 AM
Nemo_bis claimed this task.

The above comment is why we were seeking Legal's input. Do you dispute the relevance of that concern?

Well, a concern about a non-existing proposal can't be addressed. :) When an EDP exists, then it can be commented; for now, WMF legal can't add anything we didn't know already (see above).

Upload facility is already available for sysops, so I propose to enable "Uploader" user right and assign to users who need it

Ok. This report became too messy, let's close it; please file a new one when you have a specific request with the respective on-wiki preparatory work completed and consensus achieved.

No need for legal feedback, https://or.wikipedia.org/wiki/MediaWiki:Licenses is not ready yet: it contains non-existing copyright templates. Please only include the templates which were actually created on the local wiki after an assessment that they are needed and compliant with local EDP.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 22 2015, 8:10 AM
psubhashish1 reopened this task as Open.Oct 22 2015, 8:49 AM

Hi @Nemo_bis, did not understand how a longer conversation could be too messy to turn a grave problem invalid? Do you regularly upload non-free images in your home wiki? If you did, then you must have understood the problems Wikimedians face. Not just in seeing hundreds and thousands of pages of pages without images, but showing the same to institutions and participants in outreach sessions is painful. You may delay or ask for more clarification. But closing down a request, especially when there is a unanimous consensus from the community is very nonsensical, sorry to say this bluntly.

Mdann52 closed this task as Invalid.Oct 22 2015, 8:54 AM

Closing - as far as this request is at the minute, it is non-actionable and effectively declined by legal, so no action can be taken at this point. As and when everything is resolved, a new bug should be opened - the main reason for the closure is the multiple proposals sneaking in above.